#include <iostream>
using namespace std;

int calRowScore(bool [9][9]);
int calColScore(bool [9][9]);
int calLeftDiaScore(bool [9][9]);
int calRightDiaScore(bool [9][9]);
int calTotalScore(bool [9][9]);

int main(int argc, const char * argv[]) {
    int n = 0;
    bool blackPositions[9][9] = {false};
    bool whitePositions[9][9] = {false};
    cin >> n;
    int x = 0;
    int y = 0;
    for (int i = 0; i < n; i++){
        cin >> x >> y;
        blackPositions[9-y][x-1] = true;
    }
    blackPositions[2][2] = true;
    blackPositions[2][6] = true;
    blackPositions[4][4] = true;
    blackPositions[6][2] = true;
    blackPositions[6][6] = true;

    for (int i = 0; i < n; i++){
        cin >> x >> y;
        whitePositions[9-y][x-1] = true;
    }
    whitePositions[2][2] = true;
    whitePositions[2][6] = true;
    whitePositions[4][4] = true;
    whitePositions[6][2] = true;
    whitePositions[6][6] = true;
    
    cout << calTotalScore(blackPositions) << " " << calTotalScore(whitePositions) << '\n';
    return 0;
}

int calTotalScore(bool positions[9][9]){
    return calRowScore(positions) + calColScore(positions) + calLeftDiaScore(positions) + calRightDiaScore(positions);
};

// calculate the score on row
int calRowScore(bool positions[9][9]){
    int totalScore = 0;
    for (int i = 0; i < 9; i++){
        for (int j = 0; j < 5; j++){
            bool hasFive = true;
            for (int k = 0; k < 5; k++){
                if (!positions[i][k+j]){
                    hasFive = false;
                    break;
                }
            }
            if (hasFive)
                totalScore += 1;
        }
    }
    return totalScore;
};

// calculate the score on column
int calColScore(bool positions[9][9]){
    int totalScore = 0;
    for (int i = 0; i < 9; i++){
        for (int j = 0; j < 5; j++){
            bool hasFive = true;
            for (int k = 0; k < 5; k++){
                if (!positions[k+j][i]){
                    hasFive = false;
                    break;
                }
            }
            if (hasFive)
                totalScore += 1;
        }
    }
    return totalScore;
};

// calculate the score on left-up to right-bottom
int calLeftDiaScore(bool positions[9][9]){
    int totalScore = 0;
    for (int i = 0; i < 5; i++){
        for (int j = 0; j < 5-i; j++){
            bool hasFive = true;
            for (int k = 0; k < 5; k++){
                if (!positions[i+j+k][j+k]){
                    hasFive = false;
                    break;
                }
            }
            if (hasFive)
                totalScore += 1;
            
        }
    }
    
    for (int i = 1; i < 5; i++){
        for (int j = 0; j < 5-i; j++){
            bool hasFive = true;
            for (int k = 0; k < 5; k++){
                if (!positions[j+k][i+j+k]){
                    hasFive = false;
                    break;
                }
            }
            if (hasFive)
                totalScore += 1;
        }
    }
    
    return totalScore;
};

// calculate the score on right-up to right-bottom
int calRightDiaScore(bool positions[9][9]){
    int totalScore = 0;
    for (int i = 0; i < 5; i++){
        for (int j = 0; j < 5-i; j++){
            bool hasFive = true;
            for (int k = 0; k < 5; k++){
                if (!positions[i+j+k][8-j-k]){
                    hasFive = false;
                    break;
                }
            }
            if (hasFive)
                totalScore += 1;
            
        }
    }
    
    for (int i = 1; i < 5; i++){
        for (int j = 0; j < 5-i; j++){
            bool hasFive = true;
            for (int k = 0; k < 5; k++){
                if (!positions[j+k][8-i-j-k]){
                    hasFive = false;
                    break;
                }
            }
            if (hasFive)
                totalScore += 1;
        }
    }
    
    return totalScore;
};







